%global major 1
%define libqrcodegen %mklibname qrcodegen %major
%define libqrcodegendev %mklibname -d qrcodegen
%define libqrcodegencpp %mklibname qrcodegencpp %major
%define libqrcodegencppdev %mklibname -d qrcodegencpp
%global richname QR-Code-generator

%global commit0 67c62461d380352500fc39557fd9f046b7fe1d18
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global date 20191014

Name: qr-code-generator
Version: 1.5.0
Release: %mkrel 6

License: MIT
Summary: High-quality QR Code generator library
Group:   System/Libraries
URL: https://github.com/nayuki/%{richname}
Source0: %{url}/archive/%{commit0}/%{name}-%{shortcommit0}.tar.gz

# https://github.com/nayuki/QR-Code-generator/pull/72
Patch100: %{name}-build-fixes.patch

BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: gcc-c++
BuildRequires: gcc

%description
This project aims to be the best, clearest QR Code generator library in
multiple languages.

The primary goals are flexible options and absolute correctness.
Secondary goals are compact implementation size and good documentation
comments.

%package -n %libqrcodegen
Summary: High-quality QR Code generator library (plain C version)
Obsoletes: %{_lib}rcodegen1 < 1.5.0-3

%description -n %libqrcodegen
This project aims to be the best, clearest QR Code generator library in
multiple languages.

The primary goals are flexible options and absolute correctness.
Secondary goals are compact implementation size and good documentation
comments.

%package -n %libqrcodegendev
Summary: Development files for libqrcodegen
Requires: %libqrcodegen = %{?epoch:%{epoch}:}%{version}-%{release}
Provides: libqrcodegen-devel = %version-%release

%description -n %libqrcodegendev
Development files and headers for high-quality QR Code generator library
(plain C version).

%package -n %libqrcodegencpp
Summary: High-quality QR Code generator library (C++ version)
Obsoletes: %{_lib}rcodegencpp1 < 1.5.0-2

%description -n %libqrcodegencpp
This project aims to be the best, clearest QR Code generator library in
multiple languages.

The primary goals are flexible options and absolute correctness.
Secondary goals are compact implementation size and good documentation
comments.

%package -n %libqrcodegencppdev
Summary: Development files for libqrcodegencpp
Requires: %libqrcodegencpp = %{?epoch:%{epoch}:}%{version}-%{release}
Provides: libqrcodegencpp-devel = %version-%release

%description -n %libqrcodegencppdev
Development files and headers for high-quality QR Code generator library
(C++ version).

%package -n python3-qrcodegen
Summary: High-quality QR Code generator library (Python version)
BuildArch: noarch
%{?python_provide:%python_provide python3-qrcodegen}

%description -n python3-qrcodegen
This project aims to be the best, clearest QR Code generator library in
multiple languages.

The primary goals are flexible options and absolute correctness.
Secondary goals are compact implementation size and good documentation
comments.

%prep
%autosetup -n %{richname}-%{commit0} -p1

%build
# Exporting correct build flags...
%set_build_flags

# Building plain C version...
pushd c
%make_build
popd

# Building C++ version...
pushd cpp
%make_build
popd

# Building Python version...
pushd python
%py3_build
popd

%install
# Installing plain C version...
pushd c
%make_install LIBDIR=%{buildroot}%{_libdir} INCLUDEDIR=%{buildroot}%{_includedir}/qrcodegen
popd

# Installing C++ version...
pushd cpp
%make_install LIBDIR=%{buildroot}%{_libdir} INCLUDEDIR=%{buildroot}%{_includedir}/qrcodegencpp
popd

# Installing Python version...
pushd python
%py3_install
popd

%files -n %libqrcodegen
%license Readme.markdown
%{_libdir}/libqrcodegen.so.%{major}{,.*}

%files -n %libqrcodegendev
%{_includedir}/qrcodegen/
%{_libdir}/libqrcodegen.so

%files -n %libqrcodegencpp
%license Readme.markdown
%{_libdir}/libqrcodegencpp.so.%{major}{,.*}

%files -n %libqrcodegencppdev
%{_includedir}/qrcodegencpp/
%{_libdir}/libqrcodegencpp.so

%files -n python3-qrcodegen
%license Readme.markdown
%{python3_sitelib}/qrcodegen.py
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/qrcodegen-*.egg-info/



%changelog
* Mon May 04 2020 ovitters <ovitters> 1.5.0-6.mga7
+ Revision: 1579921
+ rebuild (emptylog)

* Thu Feb 20 2020 umeabot <umeabot> 1.5.0-6.mga8
+ Revision: 1546293
- Mageia 8 Mass Rebuild

* Sat Feb 01 2020 wally <wally> 1.5.0-5.mga8
+ Revision: 1486307
- obsolete wrongly named libs

* Thu Jan 30 2020 tv <tv> 1.5.0-4.mga8
+ Revision: 1485428
- move provides where it belongs

* Thu Jan 30 2020 tv <tv> 1.5.0-3.mga8
+ Revision: 1485395
- fix lib names

* Thu Jan 30 2020 tv <tv> 1.5.0-2.mga8
+ Revision: 1485365
- add provides to devel pkgs
- fix lib names

* Thu Jan 30 2020 tv <tv> 1.5.0-1.mga8
+ Revision: 1485320
- imported package qr-code-generator


* Thu Jan 30 2020 Thierry Vignaud <tv@mageia.org> 1.5.0-1.mga8
- import from FC

* Mon Jan 06 2020 Vitaly Zaitsev <vitaly@easycoding.org> - 1.5.0-1.20191014git67c6246
- Initial SPEC release.
